# Create shopping cart for non-SSL products This function creates a shopping cart for non-SSL products. It validates the access token, retrieves product information, creates a shopping cart with the provider, and returns the order details and checkout URL. Endpoint: GET /Market/create_shopping_cart_non_ssl Version: 11.136.0.4 Security: BasicAuth ## Query parameters: - `access_token` (string, required) The access token obtained during login to the cPanel Market provider. Example: "1a676e6f-99fc-11e6-9ab6-e60a769b73bc" - `product_name` (string, required) The name of the product to purchase. Example: "cpanel-ssl" - `url_after_checkout` (string, required) The URL to which the provider redirects the user after the checkout process is complete. Example: "http://www.example.com/thenextplace" - `domain` (string) The domain associated with the product purchase. This parameter is optional. Example: "example.com" ## Response 200 fields (application/json): - `apiversion` (integer) The version of the API. Example: 3 - `func` (string) The name of the method called. Example: "create_shopping_cart_non_ssl" - `module` (string) The name of the module called. Example: "Market" - `result` (object) - `result.data` (object) - `result.data.checkout_url` (string) The URL of the provider's checkout page. Example: "https://store.cpanel.net/checkout?order_id=8765309" - `result.data.order_id` (string) The order ID assigned by the provider. Example: "8765309" - `result.data.order_items_ref` (array) An array of objects that contain information about the items in the shopping cart. The values returned vary between providers. - `result.errors` (array,null) List of errors if the API failed. - `result.messages` (array,null) List of messages generated by the API. - `result.metadata` (object) - `result.status` (integer) * — Success. * — Failed. Check the field for more details. Enum: 0, 1 - `result.warnings` (array,null) List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.